Page MenuHomePhabricator

Reset payment submethod on payment method switch
Closed, ResolvedPublic1 Story Points

Description

If a donor selects a payment submethod on the credit card form, then goes back to donatewiki and clicks on the bank transfer form, they end up with a method/submethod combination that doesn't match any forms. This causes us to log a bogus error (T106050) and choose a fallback form.

When we have a method in session and a different method comes in on the request, we should purge any submethod we have in session.

This will be annoying in the current setup since we mush all data together before the normalize step. Another argument for @K4-713's idea to tag every data element with its source.

Event Timeline

Ejegg created this task.Aug 6 2015, 9:26 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2015, 9:26 PM
DStrine set Security to None.
DStrine moved this task from Triage to Q2 (Oct-Dec) 2019-20 on the Fundraising-Backlog board.

Change 232525 had a related patch set uploaded (by Ejegg):
Blank submethod on method change, OID on recur change

https://gerrit.wikimedia.org/r/232525

Ejegg claimed this task.Aug 19 2015, 6:01 PM
Ejegg edited a custom field.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Queen board.

Change 232525 merged by jenkins-bot:
Blank submethod on method change, OID on recur change

https://gerrit.wikimedia.org/r/232525

Ejegg closed this task as Resolved.Sep 2 2015, 10:17 PM